TemplateCompilerSimulator.CONSTRAINTS
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.CONSTRAINTS,TemplateCompilerSimulator.CONSTRAINTS class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TemplateCompilerSimulator.CONSTRAINTS

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
            |
            +--uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.STRING
                  |
                  +--uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.CONSTRAINTS

Enclosing class:
  TemplateCompilerSimulator

public static class TemplateCompilerSimulator.CONSTRAINTS
extends TemplateCompilerSimulator.STRING

Field Summary
`boolean` | `isArgument`
`boolean` | `isString`
`java.lang.String` | `value`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
`hidden, myArgument, myCompiler`

Constructor Summary
`protected` | `TemplateCompilerSimulator.CONSTRAINTS()`
`protected` | `TemplateCompilerSimulator.CONSTRAINTS(java.lang.String s)`
`protected` | `TemplateCompilerSimulator.CONSTRAINTS(TArgument ta)`

Method Summary
`java.lang.String` | `getString()`
`static TemplateCompilerSimulator.CONSTRAINTS` | `IS(java.lang.String s)`
`static TemplateCompilerSimulator.CONSTRAINTS` | `IS(TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `setArgument(TArgument ta)`

Methods inherited from class uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
`getArgument, hide, isHidden, setCompiler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isString

    public boolean isString

### isArgument

    public boolean isArgument

### value

    public java.lang.String value

Constructor Detail

### TemplateCompilerSimulator.CONSTRAINTS

    protected TemplateCompilerSimulator.CONSTRAINTS(TArgument ta)

### TemplateCompilerSimulator.CONSTRAINTS

    protected TemplateCompilerSimulator.CONSTRAINTS(java.lang.String s)

### TemplateCompilerSimulator.CONSTRAINTS

    protected TemplateCompilerSimulator.CONSTRAINTS()

Method Detail

### getString

    public java.lang.String getString()

### setArgument

    public void setArgument(TArgument ta)

  Overrides:
    `setArgument` in class `TemplateCompilerSimulator.ITEM`

### IS

    public static TemplateCompilerSimulator.CONSTRAINTS IS(TemplateCompilerSimulator.CONSTRAINTS c)

### IS

    public static TemplateCompilerSimulator.CONSTRAINTS IS(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD